<?php if ( ! defined( 'ABSPATH' ) ) exit;

function ddbuilder_check_divi() {
    $themes = array( 'Divi', 'Extra' );
    return in_array( wp_get_theme()->Name, $themes ) || in_array( wp_get_theme()->Template, $themes ) || in_array( apply_filters('divi_ghoster_ghosted_theme', null ), $themes );
}

function ddbuilder_get_image_alt( $image_src ) { 
    $image_id  = attachment_url_to_postid( esc_url( $image_src ) );
    $alt = get_post_meta( $image_id, '_wp_attachment_image_alt', true );
    return $alt;
}

function ddbuilder_get_location_options() {
    return array(
        'top_left'      => esc_html__( 'Top Left', 'et_builder' ),
        'top_center'    => esc_html__( 'Top Center', 'et_builder' ),
        'top_right'     => esc_html__( 'Top Right', 'et_builder' ),
        'center_left'   => esc_html__( 'Center Left', 'et_builder' ),
        'center'        => esc_html__( 'Center', 'et_builder' ),
        'center_right'  => esc_html__( 'Center Right', 'et_builder' ),
        'bottom_left'   => esc_html__( 'Bottom Left', 'et_builder' ),
        'bottom_center' => esc_html__( 'Bottom Center', 'et_builder' ),
        'bottom_right'  => esc_html__( 'Bottom Right', 'et_builder' ),
    );
}