This plugin was created with [Create Divi Extension](https://github.com/elegantthemes/create-divi-extension).

# DonDivi

We create premium tools for improving your creativity and simplifying the way to design stunning websites with Divi.

# DonDivi Builder

The #1 Collection of Premium Divi Modules!

## Requirements

PHP 7.4 minimum (8.0+ recommended)
WordPress 5.5 or higher 
Divi 4.17.5 or higher (latest versions recommended)

## Installation

- Go to WordPress Dashboard > Plugins > *Add New* 
- Click the *Upload Plugin* button
- Select the `dondivi-builder.zip` file and click *Install Now*

## Modules

- [Content Toggle](https://dondivi.com/content-toggle) (2023)
- [Gallery](https://dondivi.com/gallery) (2023)
- [Grid](https://dondivi.com/grid) (2023)
- [Hotspots](https://dondivi.com/hotspots) (2023)
- [Nav Menu](https://dondivi.com/nav-menu) (2023)
- [Popup](https://dondivi.com/popup) (2023)
- [Tabs](https://dondivi.com/tabs) (2023)
- [Timeline](https://dondivi.com/timeline) (2023)

## Development notes

- Plugin ZIP file: around 140-150kb
- `frontend-bundle.min.js`: less than 1.4kb, including common important stuff, such as animations!
- `style.min.css`: less than 1.6kb, including all the modules styles!
- We use the `ddb` prefix for the DonDivi Builder classes. DonDivi plugins prior to the builder use the `dd` prefix
- All our modules are fully responsive, so your Divi elements will look great in all devices
- You can have a look at all the plugin updates in the [changelog](https://dondivi.com/changelog/)

## Plugin License

[GPL2] (https://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html)

# Support

If you need help, please open a support ticket at [DonDivi](https://dondivi.com/) 

Please, read first our documentation before opening a ticket. Thank you!